package main;

public class LowAndHighPolicy implements Policy {

    private double lowTreshold = 17;
	private double highTreshold = 21;

	public LowAndHighPolicy(double lowTreshold, double highTreshold) {
		super();
		this.lowTreshold = lowTreshold;
		this.highTreshold = highTreshold;
	}

	@Override
	public boolean checkPolicyViolated(double value) {
		boolean returnValue;

	    if (value < lowTreshold || highTreshold < value) {
	    	returnValue = true;
	    } else {
	    	returnValue = false;
	    }
	    return returnValue;
	}

}
