package main;


import java.util.Random;

// The reading of the pressure value from the sensor is simulated in this implementation.
// Because the focus of the exercise is on the other class.

public class Sensor {
    private double offset = 16;

    public Sensor(double offset) {
		this.offset = offset;
	}

	public double popNextValue() {
        double pressureTelemetryValue;
        pressureTelemetryValue = sampleValue( );

        return offset + pressureTelemetryValue;
    }

    protected double sampleValue() {
        // placeholder implementation that simulate a real sensor in a real tire
        Random basicRandomNumbersGenerator = new Random();
        double pressureTelemetryValue = 6 * basicRandomNumbersGenerator.nextDouble() * basicRandomNumbersGenerator.nextDouble();
        return pressureTelemetryValue;
    }
    
    public void setOffset(double offset) {
    		this.offset = offset;
    }
    
    public double getOffset() {
    		return this.offset;
    }
 }